<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><title>文件浏览器 - 网集在线平台</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"; charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=7" />
<meta name="Keyword" content="内容管理平台,客户关系管理平台,理财平台,项目管理平台,财务管理平台" />
<meta name="Description" content="网集在线平台:主要有内容管理、客户关系管理、理财、项目管理、财务管理平台" />
<link href="http://www.unionnets.com/Ui/Common/Ssheet/Common.css" rel="stylesheet" />
<style type="text/css">
.DIV_0{ margin:12px 12px 0px 12px; padding:0px 0px 6px 0px; border-bottom:1px #EFEFEF dotted; font-size:14px; }
.DIV_1{ margin:6px 12px 12px 12px; }
.DIV_2{ font-size:10px; color:#CCCCCC; }
</style>
</head><body><form id="phpForm1" method="POST" onsubmit="return jsDCheck(0);" action="#">
<div class="DIV_0">所有文件：</div>
<div class="DIV_1"><?php
//-- ------ #Template ------ --
$tmpLink='<a href="{Nets.File}" class="Link3 FBlack2" target="_blank">{Nets.File}</a> <span class="DIV_2">{Nets.Filesize}</span><br />';
//-- ------ #Config ------ --
$tmpFileType=array('php',);
$tmpFileName=array('File.php',);
//-- ------ #E ------ --
$tmpHandle=opendir('.');
if($tmpHandle){
	while (($tmpFile=readdir($tmpHandle))!=false) {
		$tmpSTR=getFileExname($tmpFile);
		if(in_array($tmpSTR,$tmpFileType) && !in_array($tmpFile,$tmpFileName)){
			$tmpSTR=str_replace('{Nets.File}',$tmpFile,$tmpLink);
			$tmpSTR=str_replace('{Nets.Filesize}',round(filesize($tmpFile)/1024,4),$tmpSTR);
			echo ($tmpSTR);
		}
	}
	closedir($tmpHandle);
}
function getFileExname($pFileName){
	$pFileName=str_replace('\\','/',$pFileName);
	$tmpAR0=explode('/',$pFileName);
	$tmpAR0=explode('.',$tmpAR0[count($tmpAR0)-1]);
	$tmpSTR=$tmpAR0[count($tmpAR0)-1];
	if(count($tmpAR0)<2){
		$tmpSTR='.';
	}
	return $tmpSTR;
}
?></div>
</form></body></html>